Debian Bug report logs - #695751
depending on a script that depends on $all (including by not having LSB headers) creates loop

version graph

Package: insserv; Maintainer for insserv is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for insserv is src:insserv.

Reported by: adrin <adrin.jalali@gmail.com>

Date: Wed, 12 Dec 2012 09:36:01 UTC

Severity: important

Merged with 737405

Found in version insserv/1.14.0-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#695751; Package gdm3. (Wed, 12 Dec 2012 09:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrin <adrin.jalali@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 12 Dec 2012 09:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: adrin <adrin.jalali@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gdm: gdm3 update fails due to conflict with laptop-mode-tools
Date: Wed, 12 Dec 2012 10:32:39 +0100
Package: gdm3
Version: 3.4.1-5
Severity: grave
File: gdm
Justification: renders package unusable

I can not upgrade gdm3 as follows.

# apt-get install -f
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
7 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up gdm3 (3.4.1-5) ...
dpkg: error processing gdm3 (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up exim4-base (4.80-6) ...
insserv: warning: script 'K25vpnagentd_init' missing LSB tags and overrides
insserv: warning: script 'vpnagentd_init' missing LSB tags and overrides
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Max recursions depth 99 reached
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: There is a loop at service laptop-mode if started
insserv: There is a loop at service vpnagentd_init if started
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: There is a loop between service laptop-mode and mountkernfs if started
insserv:  loop involving service mountkernfs at depth 1
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: exiting now without changing boot order!
update-rc.d: error: insserv rejected the script header
dpkg: error processing exim4-base (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of exim4-daemon-light:
 exim4-daemon-light depends on exim4-base (>= 4.80); however:
  Package exim4-base is not configured yet.

dpkg: error processing exim4-daemon-light (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of exim4:
 exim4 depends on exim4-base (>= 4.80); however:
  Package exim4-base is not configured yet.
 exim4 depends on exim4-daemon-light | exim4-daemon-heavy | exim4-daemon-custom; however:
  Package exim4-daemon-light is not configured yet.
  Package exim4-daemon-heavy is not installed.
  Package exim4-daemon-custom is not installed.

dpkg: error processing exim4 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome-core:
 gnome-core depends on gdm3 (>= 3.4); however:
  Package gdm3 is not configured yet.

dpkg: error processing gnome-core (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome:
 gnome depends on gnome-core (= 1:3.4+7); however:
  Package gnome-core is not configured yet.

dpkg: error processing gnome (--configure):
 dependency problems - leaving unconfigured
Setting up laptop-mode-tools (1.61-1) ...
[ ok ] Reloading ACPI services....
insserv: warning: script 'K25vpnagentd_init' missing LSB tags and overrides
insserv: warning: script 'vpnagentd_init' missing LSB tags and overrides
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Max recursions depth 99 reached
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: There is a loop at service laptop-mode if started
insserv: There is a loop at service vpnagentd_init if started
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: There is a loop between service laptop-mode and mountkernfs if started
insserv:  loop involving service mountkernfs at depth 1
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
insserv: exiting now without changing boot order!
update-rc.d: error: insserv rejected the script header
dpkg: error processing laptop-mode-tools (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 gdm3
 exim4-base
 exim4-daemon-light
 exim4
 gnome-core
 gnome
 laptop-mode-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.6.0-8.dmz.2-liquorix-amd64 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gdm3 depends on:
ii  accountsservice                             0.6.21-7
ii  adduser                                     3.113+nmu3
ii  dconf-gsettings-backend                     0.12.1-3
ii  dconf-tools                                 0.12.1-3
ii  debconf [debconf-2.0]                       1.5.46
ii  dpkg                                        1.16.9
ii  gir1.2-freedesktop                          1.32.1-1
ii  gir1.2-glib-2.0                             1.32.1-1
ii  gnome-session [x-session-manager]           3.4.2.1-3
ii  gnome-session-bin                           3.4.2.1-3
ii  gnome-session-fallback [x-session-manager]  3.4.2.1-3
ii  gnome-settings-daemon                       3.4.2+git20120925.a4c817-2
ii  gnome-terminal [x-terminal-emulator]        3.4.1.1-2
ii  gsettings-desktop-schemas                   3.4.2-3
ii  libaccountsservice0                         0.6.21-7
ii  libatk1.0-0                                 2.4.0-2
ii  libattr1                                    1:2.4.46-8
ii  libaudit0                                   1:1.7.18-1.1
ii  libc6                                       2.13-37
ii  libcairo-gobject2                           1.12.2-2
ii  libcairo2                                   1.12.2-2
ii  libcanberra-gtk3-0                          0.28-6
ii  libcanberra0                                0.28-6
ii  libdbus-1-3                                 1.6.8-1
ii  libdbus-glib-1-2                            0.100-1
ii  libfontconfig1                              2.9.0-7
ii  libgdk-pixbuf2.0-0                          2.26.1-1
ii  libglib2.0-0                                2.33.12+really2.32.4-3
ii  libglib2.0-bin                              2.33.12+really2.32.4-3
ii  libgtk-3-0                                  3.4.2-4
ii  libpam-modules                              1.1.3-7.1
ii  libpam-runtime                              1.1.3-7.1
ii  libpam0g                                    1.1.3-7.1
ii  libpango1.0-0                               1.30.0-1
ii  librsvg2-common                             2.36.1-1
ii  libselinux1                                 2.1.9-5
ii  libupower-glib1                             0.9.17-1
ii  libwrap0                                    7.6.q-24
ii  libx11-6                                    2:1.5.0-1
ii  libxau6                                     1:1.0.7-1
ii  libxdmcp6                                   1:1.1.1-1
ii  libxklavier16                               5.2.1-1
ii  libxrandr2                                  2:1.3.2-2
ii  lsb-base                                    4.1+Debian8
ii  metacity [x-window-manager]                 1:2.34.3-3
ii  policykit-1-gnome                           0.105-2
ii  upower                                      0.9.17-1
ii  x11-common                                  1:7.7+1
ii  x11-xserver-utils                           7.7~3
ii  xterm [x-terminal-emulator]                 278-4

Versions of packages gdm3 recommends:
ii  at-spi2-core               2.5.3-2
ii  desktop-base               7.0.3
ii  gnome-icon-theme           3.4.0-2
ii  gnome-icon-theme-symbolic  3.4.0-2
ii  x11-xkb-utils              7.7~1
ii  xserver-xephyr             2:1.12.4-4
ii  xserver-xorg               1:7.7+1
ii  zenity                     3.4.0-2

Versions of packages gdm3 suggests:
ii  gnome-orca            3.4.2-2
ii  gnome-shell           3.4.2-3
pn  gok                   <none>
ii  libpam-gnome-keyring  3.4.1-5

-- debconf information:
* shared/default-x-display-manager: gdm3
  gdm3/daemon_name: /usr/sbin/gdm3



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#695751; Package gdm3. (Wed, 12 Dec 2012 11:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 12 Dec 2012 11:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 695751@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: adrin <adrin.jalali@gmail.com>, 695751@bugs.debian.org
Subject: Re: Bug#695751: gdm: gdm3 update fails due to conflict with laptop-mode-tools
Date: Wed, 12 Dec 2012 11:14:27 +0000
On 12/12/12 09:32, adrin wrote:
> I can not upgrade gdm3 as follows.

This does not necessarily look like gdm3's fault to me.

> dpkg: error processing gdm3 (--configure):
>  subprocess installed post-installation script returned error exit
>  status 1

There does seem to be a bug of some sort here: gdm3.postinst shouldn't
exit unsuccessfully without a message. If you edit
/var/lib/dpkg/gdm3.postinst and add a line "set -x" just below the "set
-e", then retry the installation, it might become clearer what went wrong?

> insserv: warning: script 'K25vpnagentd_init' missing LSB tags and overrides
> insserv: warning: script 'vpnagentd_init' missing LSB tags and overrides
> insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!

Where does this /etc/init.d/vpnagentd_init script come from? I think
this is what's causing the problem.

It looks as though that script needs LSB tags
(<http://wiki.debian.org/LSBInitScripts>) in order for the installation
of any package with an init script to succeed.

As a result, laptop-mode-tools, gdm3 and exim4-base (which each contain
an init script) all fail to install:

> insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
...
> insserv: There is a loop at service laptop-mode if started
> insserv: There is a loop at service vpnagentd_init if started
...
> insserv: There is a loop between service laptop-mode and mountkernfs if started
> insserv:  loop involving service mountkernfs at depth 1
> insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
...
> insserv: exiting now without changing boot order!
> update-rc.d: error: insserv rejected the script header
> dpkg: error processing exim4-base (--configure):
>  subprocess installed post-installation script returned error exit status 1

Regards,
    S



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#695751; Package gdm3. (Wed, 12 Dec 2012 12:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 12 Dec 2012 12:30:05 GMT) Full text and rfc822 format available.

Message #15 received at 695751@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: insserv@packages.debian.org, 695751@bugs.debian.org
Cc: adrin <adrin.jalali@gmail.com>, Roger Leigh <rleigh@debian.org>, control@bugs.debian.org
Subject: Re: Bug#695751: gdm: gdm3 update fails due to conflict with laptop-mode-tools
Date: Wed, 12 Dec 2012 13:27:54 +0100
[Message part 1 (text/plain, inline)]
reassign 695751 insserv
thanks

Hi adrin,

On 12.12.2012 12:14, Simon McVittie wrote:
> On 12/12/12 09:32, adrin wrote:

>> insserv: warning: script 'K25vpnagentd_init' missing LSB tags and overrides
>> insserv: warning: script 'vpnagentd_init' missing LSB tags and overrides
>> insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
> 
> Where does this /etc/init.d/vpnagentd_init script come from? I think
> this is what's causing the problem.
> 
> It looks as though that script needs LSB tags
> (<http://wiki.debian.org/LSBInitScripts>) in order for the installation
> of any package with an init script to succeed.
> 
> As a result, laptop-mode-tools, gdm3 and exim4-base (which each contain
> an init script) all fail to install:
> 
>> insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
> ...
>> insserv: There is a loop at service laptop-mode if started
>> insserv: There is a loop at service vpnagentd_init if started
> ...
>> insserv: There is a loop between service laptop-mode and mountkernfs if started
>> insserv:  loop involving service mountkernfs at depth 1
>> insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
> ...
>> insserv: exiting now without changing boot order!
>> update-rc.d: error: insserv rejected the script header
>> dpkg: error processing exim4-base (--configure):
>>  subprocess installed post-installation script returned error exit status 1

I've re-assigned the bug report to insserv and so their maintainers can
have a look at what is causing the problem.

To diagnose the problem we need more information:
1/ the output of /usr/share/insserv/make-testsuite
2/ the contents of /etc/init.d/: tar czf etc-initd.tar.gz /etc/init.d/

Please attach this information when you reply.

Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'gdm3' to 'insserv'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 12 Dec 2012 12:30:07 GMT) Full text and rfc822 format available.

No longer marked as found in versions gdm3/3.4.1-5. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 12 Dec 2012 12:30:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#695751; Package insserv. (Wed, 12 Dec 2012 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrin <adrin.jalali@gmail.com>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Wed, 12 Dec 2012 12:45:03 GMT) Full text and rfc822 format available.

Message #24 received at 695751@bugs.debian.org (full text, mbox):

From: Adrin <adrin.jalali@gmail.com>
To: Michael Biebl <biebl@debian.org>
Cc: insserv@packages.debian.org, 695751@bugs.debian.org, Roger Leigh <rleigh@debian.org>, control@bugs.debian.org
Subject: Re: Bug#695751: gdm: gdm3 update fails due to conflict with laptop-mode-tools
Date: Wed, 12 Dec 2012 13:41:26 +0100
[Message part 1 (text/plain, inline)]
Hi,

Thanks for the fast follow up. Two files are attached and this is the more
comprehensive report by adding set -x:
# apt-get install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
7 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up gdm3 (3.4.1-5) ...
+ . /usr/share/debconf/confmodule
+ [ !  ]
+ PERL_DL_NONLAZY=1
+ export PERL_DL_NONLAZY
+ [  ]
+ exec /usr/share/debconf/frontend /var/lib/dpkg/info/gdm3.postinst
configure 3.4.1-4
+ . /usr/share/debconf/confmodule
+ [ ! 1 ]
+ [ -z  ]
+ exec
+ [  ]
+ exec
+ DEBCONF_REDIR=1
+ export DEBCONF_REDIR
+ THIS_PACKAGE=gdm3
+ DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager
+ getent group Debian-gdm
+ getent passwd Debian-gdm
+ [ ! -e /etc/X11/default-display-manager ]
+ db_stop
+ echo STOP
+ S=30
+ K=01
+ [ configure = configure ]
+ dpkg --compare-versions 3.4.1-4 lt-nl 3.2
+ [ configure = configure ]
+ dpkg --compare-versions 3.4.1-4 lt-nl 3.4
+ chown -R Debian-gdm:Debian-gdm /var/lib/gdm3
+ [ ! -f /etc/pam.d/gdm-welcome ]
+ dpkg-maintscript-helper rm_conffile /etc/gdm3/greeter.gconf-defaults 3.4
-- configure 3.4.1-4
+ [ -f /var/run/gdm.pid ]
+ [ -x /etc/init.d/gdm3 ]
+ update-rc.d gdm3 defaults 30 01
dpkg: error processing gdm3 (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up exim4-base (4.80-6) ...
insserv: warning: script 'K25vpnagentd_init' missing LSB tags and overrides
insserv: warning: script 'vpnagentd_init' missing LSB tags and overrides
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on
system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on
system facility `$all' which can not be true!
insserv: Starting vpnagentd_init depends on laptop-mode and therefore on
system facility `$all' which can not be true!


Thanks,
Adrin.



On Wed, Dec 12, 2012 at 1:27 PM, Michael Biebl <biebl@debian.org> wrote:

> reassign 695751 insserv
> thanks
>
> Hi adrin,
>
> On 12.12.2012 12:14, Simon McVittie wrote:
> > On 12/12/12 09:32, adrin wrote:
>
> >> insserv: warning: script 'K25vpnagentd_init' missing LSB tags and
> overrides
> >> insserv: warning: script 'vpnagentd_init' missing LSB tags and overrides
> >> insserv: Starting vpnagentd_init depends on laptop-mode and therefore
> on system facility `$all' which can not be true!
> >
> > Where does this /etc/init.d/vpnagentd_init script come from? I think
> > this is what's causing the problem.
> >
> > It looks as though that script needs LSB tags
> > (<http://wiki.debian.org/LSBInitScripts>) in order for the installation
> > of any package with an init script to succeed.
> >
> > As a result, laptop-mode-tools, gdm3 and exim4-base (which each contain
> > an init script) all fail to install:
> >
> >> insserv: Starting vpnagentd_init depends on laptop-mode and therefore
> on system facility `$all' which can not be true!
> > ...
> >> insserv: There is a loop at service laptop-mode if started
> >> insserv: There is a loop at service vpnagentd_init if started
> > ...
> >> insserv: There is a loop between service laptop-mode and mountkernfs if
> started
> >> insserv:  loop involving service mountkernfs at depth 1
> >> insserv: Starting vpnagentd_init depends on laptop-mode and therefore
> on system facility `$all' which can not be true!
> > ...
> >> insserv: exiting now without changing boot order!
> >> update-rc.d: error: insserv rejected the script header
> >> dpkg: error processing exim4-base (--configure):
> >>  subprocess installed post-installation script returned error exit
> status 1
>
> I've re-assigned the bug report to insserv and so their maintainers can
> have a look at what is causing the problem.
>
> To diagnose the problem we need more information:
> 1/ the output of /usr/share/insserv/make-testsuite
> 2/ the contents of /etc/init.d/: tar czf etc-initd.tar.gz /etc/init.d/
>
> Please attach this information when you reply.
>
> Michael
> --
> Why is it that all of the instruments seeking intelligent life in the
> universe are pointed away from Earth?
>
>
[Message part 2 (text/html, inline)]
[etc-initd.tar.gz (application/x-gzip, attachment)]
[make-testsuite.log (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#695751; Package insserv. (Wed, 12 Dec 2012 12:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Wed, 12 Dec 2012 12:48:02 GMT) Full text and rfc822 format available.

Message #29 received at 695751@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Michael Biebl <biebl@debian.org>
Cc: insserv@packages.debian.org, 695751@bugs.debian.org, adrin <adrin.jalali@gmail.com>, Roger Leigh <rleigh@debian.org>
Subject: Re: Bug#695751: gdm: gdm3 update fails due to conflict with laptop-mode-tools
Date: Wed, 12 Dec 2012 13:45:15 +0100
[Michael Biebl]
>>> insserv: warning: script 'K25vpnagentd_init' missing LSB tags and overrides
>>> insserv: warning: script 'vpnagentd_init' missing LSB tags and overrides
>>> insserv: Starting vpnagentd_init depends on laptop-mode and therefore on system facility `$all' which can not be true!
>> 
>> Where does this /etc/init.d/vpnagentd_init script come from? I think
>> this is what's causing the problem.

I agree.  The boot sequence system seem to refuse to continue to avoid
leaving the boot system in an unknown and possibly broken state.  The
fix is to add correct LSB headers in /etc/init.d/vpnagentd_init.

> To diagnose the problem we need more information:
> 1/ the output of /usr/share/insserv/make-testsuite
> 2/ the contents of /etc/init.d/: tar czf etc-initd.tar.gz /etc/init.d/

The output from make-testsuite is most likely enough to reproduce the
problem.  It repliactes the LSB info in /etc/init.d/.

There is also a problem with insserv here, as it should provide
scripts without LSB headers with a sensible default.  This no longer
seem to happen.  No idea why.

-- 
Happy hacking
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#695751; Package insserv. (Wed, 12 Dec 2012 12:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Wed, 12 Dec 2012 12:57:08 GMT) Full text and rfc822 format available.

Message #34 received at 695751@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Adrin <adrin.jalali@gmail.com>
Cc: Michael Biebl <biebl@debian.org>, insserv@packages.debian.org, 695751@bugs.debian.org, Roger Leigh <rleigh@debian.org>, control@bugs.debian.org
Subject: Re: Bug#695751: gdm: gdm3 update fails due to conflict with laptop-mode-tools
Date: Wed, 12 Dec 2012 12:55:48 +0000
On Wed, Dec 12, 2012 at 01:41:26PM +0100, Adrin wrote:
> Hi,
> 
> Thanks for the fast follow up. Two files are attached and this is the more
> comprehensive report by adding set -x:

Thanks for the files.  The trigger for the problem is "vpnagentd_init",
which lacks LSB headers.  But there's nothing strictly wrong with this
in and of itself.  And there's nothing explicitly tying it to laptop-mode.

/etc/init.d/laptop-mode contains:
# Should-Start:      $all
# Required-Start:    $remote_fs

Could you change this to
# Should-Start:      
# Required-Start:    $remote_fs $all

and then retry the "apt-get install -f" command?

I think the reason this is causing problems is that "Should-Start:      $all"
isn't strict enough, which leads to the loop in the dependency graph;
making it required should fix things (I hope).


Thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800



Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#695751; Package insserv. (Wed, 12 Dec 2012 13:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrin <adrin.jalali@gmail.com>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Wed, 12 Dec 2012 13:18:03 GMT) Full text and rfc822 format available.

Message #39 received at 695751@bugs.debian.org (full text, mbox):

From: Adrin <adrin.jalali@gmail.com>
To: Roger Leigh <rleigh@codelibre.net>
Cc: Michael Biebl <biebl@debian.org>, insserv <insserv@packages.debian.org>, 695751 <695751@bugs.debian.org>, Roger Leigh <rleigh@debian.org>, control <control@bugs.debian.org>
Subject: Re: Bug#695751: gdm: gdm3 update fails due to conflict with laptop-mode-tools
Date: Wed, 12 Dec 2012 14:14:13 +0100
[Message part 1 (text/plain, inline)]
stop

Unfortunately it didn't help. Attached is the log.
Thanks,
Adrin.


On Wed, Dec 12, 2012 at 1:55 PM, Roger Leigh <rleigh@codelibre.net> wrote:

> On Wed, Dec 12, 2012 at 01:41:26PM +0100, Adrin wrote:
> > Hi,
> >
> > Thanks for the fast follow up. Two files are attached and this is the
> more
> > comprehensive report by adding set -x:
>
> Thanks for the files.  The trigger for the problem is "vpnagentd_init",
> which lacks LSB headers.  But there's nothing strictly wrong with this
> in and of itself.  And there's nothing explicitly tying it to laptop-mode.
>
> /etc/init.d/laptop-mode contains:
> # Should-Start:      $all
> # Required-Start:    $remote_fs
>
> Could you change this to
> # Should-Start:
> # Required-Start:    $remote_fs $all
>
> and then retry the "apt-get install -f" command?
>
> I think the reason this is causing problems is that "Should-Start:
>  $all"
> isn't strict enough, which leads to the loop in the dependency graph;
> making it required should fix things (I hope).
>
>
> Thanks,
> Roger
>
> --
>   .''`.  Roger Leigh
>  : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
>  `. `'   schroot and sbuild
> http://alioth.debian.org/projects/buildd-tools
>    `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083
> E800
>
[Message part 2 (text/html, inline)]
[install.log (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#695751; Package insserv. (Thu, 13 Dec 2012 00:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Thu, 13 Dec 2012 00:39:11 GMT) Full text and rfc822 format available.

Message #44 received at 695751@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Adrin <adrin.jalali@gmail.com>
Cc: Michael Biebl <biebl@debian.org>, insserv@packages.debian.org, 695751@bugs.debian.org, Roger Leigh <rleigh@debian.org>, control@bugs.debian.org
Subject: Re: Bug#695751: gdm: gdm3 update fails due to conflict with laptop-mode-tools
Date: Thu, 13 Dec 2012 00:18:00 +0000
On Wed, Dec 12, 2012 at 01:41:26PM +0100, Adrin wrote:
> Hi,
> 
> Thanks for the fast follow up. Two files are attached and this is the more
> comprehensive report by adding set -x:

I've tried to reproduce the failure on a clean wheezy install this
evening using the /etc/init.d directory you provided.  I'm afraid
that I can't reproduce the failure at all.  I just get a warning,
and insserv completes without error.  Possibly this is also dependent
upon the links in the rcn.d directories.  What does
  find /etc -name '*vpnagentd_init*' show?

Would it be possible to have the entire content of your initscripts
e.g.
  tar cfvz /tmp/initfiles.tar.gz /etc/rc?.d /etc/insserv* /etc/init.d
so I can try to reproduce with the exact setup you have?


Thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.



Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#695751; Package insserv. (Thu, 13 Dec 2012 08:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrin <adrin.jalali@gmail.com>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Thu, 13 Dec 2012 08:18:03 GMT) Full text and rfc822 format available.

Message #49 received at 695751@bugs.debian.org (full text, mbox):

From: Adrin <adrin.jalali@gmail.com>
To: Roger Leigh <rleigh@codelibre.net>
Cc: Michael Biebl <biebl@debian.org>, insserv <insserv@packages.debian.org>, 695751 <695751@bugs.debian.org>, Roger Leigh <rleigh@debian.org>
Subject: Re: Bug#695751: gdm: gdm3 update fails due to conflict with laptop-mode-tools
Date: Thu, 13 Dec 2012 09:15:12 +0100
[Message part 1 (text/plain, inline)]
This is the find output:
# find /etc -name '*vpnagentd_init*'
/etc/rc5.d/K25vpnagentd_init
/etc/rc5.d/S85vpnagentd_init
/etc/init.d/vpnagentd_init
/etc/rc4.d/K25vpnagentd_init
/etc/rc4.d/S85vpnagentd_init
/etc/rc2.d/K25vpnagentd_init
/etc/rc2.d/S85vpnagentd_init
/etc/rc3.d/K25vpnagentd_init
/etc/rc3.d/S85vpnagentd_init

And the attached is what you asked for.

Thanks,
Adrin.


On Thu, Dec 13, 2012 at 1:18 AM, Roger Leigh <rleigh@codelibre.net> wrote:

> On Wed, Dec 12, 2012 at 01:41:26PM +0100, Adrin wrote:
> > Hi,
> >
> > Thanks for the fast follow up. Two files are attached and this is the
> more
> > comprehensive report by adding set -x:
>
> I've tried to reproduce the failure on a clean wheezy install this
> evening using the /etc/init.d directory you provided.  I'm afraid
> that I can't reproduce the failure at all.  I just get a warning,
> and insserv completes without error.  Possibly this is also dependent
> upon the links in the rcn.d directories.  What does
>   find /etc -name '*vpnagentd_init*' show?
>
> Would it be possible to have the entire content of your initscripts
> e.g.
>   tar cfvz /tmp/initfiles.tar.gz /etc/rc?.d /etc/insserv* /etc/init.d
> so I can try to reproduce with the exact setup you have?
>
>
> Thanks,
> Roger
>
> --
>   .''`.  Roger Leigh
>  : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
>  `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
>    `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
>
[Message part 2 (text/html, inline)]
[initfiles.tar.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#695751; Package insserv. (Thu, 13 Dec 2012 15:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Thu, 13 Dec 2012 15:48:05 GMT) Full text and rfc822 format available.

Message #54 received at 695751@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Adrin <adrin.jalali@gmail.com>
Cc: Michael Biebl <biebl@debian.org>, insserv <insserv@packages.debian.org>, 695751 <695751@bugs.debian.org>, Roger Leigh <rleigh@debian.org>
Subject: Re: Bug#695751: gdm: gdm3 update fails due to conflict with laptop-mode-tools
Date: Thu, 13 Dec 2012 15:46:09 +0000
On Thu, Dec 13, 2012 at 09:15:12AM +0100, Adrin wrote:
> This is the find output:
> # find /etc -name '*vpnagentd_init*'
> /etc/rc5.d/K25vpnagentd_init
> /etc/rc5.d/S85vpnagentd_init
> /etc/init.d/vpnagentd_init
> /etc/rc4.d/K25vpnagentd_init
> /etc/rc4.d/S85vpnagentd_init
> /etc/rc2.d/K25vpnagentd_init
> /etc/rc2.d/S85vpnagentd_init
> /etc/rc3.d/K25vpnagentd_init
> /etc/rc3.d/S85vpnagentd_init
> 
> And the attached is what you asked for.

Thanks.  With this, I can reproduce the issue in a chroot environment.
I don't see this with just the script alone, so I can only assume this
is a result of the symlinks you have in the rc.d directories.

If I delete all the rc?.d/*vpnagentd_init links, insserv runs without
error.  Also, if I create a Snnvpnagentd_init link in rcS.d, it also
works without error.  But, if I create an S link in rc[2345].d, the
error is then triggered.  So this looks like the implicit $all
dependency is only working in the context of rcS.

Small note: You don't need the K links in rc[2345].d; restricting
them to rc[016] is fine.  This doesn't have any effect on the
problem in question.

One thing I'm not entirely clear on is how $all interacts with
runlevels.  Is there a $all at the end of every runlevel, or is
this restricted to rcS?


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800



Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#695751; Package insserv. (Thu, 13 Dec 2012 20:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Thu, 13 Dec 2012 20:24:05 GMT) Full text and rfc822 format available.

Message #59 received at 695751@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Roger Leigh <rleigh@codelibre.net>, Adrin <adrin.jalali@gmail.com>
Cc: Michael Biebl <biebl@debian.org>, <insserv@packages.debian.org>, 695751 <695751@bugs.debian.org>, Roger Leigh <rleigh@debian.org>
Subject: Re: Bug#695751: gdm: gdm3 update fails due to conflict with laptop-mode-tools
Date: Thu, 13 Dec 2012 21:19:58 +0100
[Roger Leigh]
> One thing I'm not entirely clear on is how $all interacts with
> runlevels.  Is there a $all at the end of every runlevel, or is
> this restricted to rcS?

$all do not work the way you think. :)

I'm told by the insserv author that all init.d scripts are sorted into a
global dependency based ordering across all runlevels.  This is used to
decide the order number for each script.  When this is done, all scripts
depending on $all is assigned the highest order number plus one, to
ensure they all end up at the end of the boot sequence.

Because of this, I recommend to avoid $all if at all possible.  It do
not work the way most people (myself included) expect, and can lead to
incorrect boot ordering if a script depend on a script which in turn
depend on $all.

-- 
Happy hacking
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#695751; Package insserv. (Thu, 13 Dec 2012 21:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Thu, 13 Dec 2012 21:42:06 GMT) Full text and rfc822 format available.

Message #64 received at 695751@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: Adrin <adrin.jalali@gmail.com>, 695751 <695751@bugs.debian.org>, Roger Leigh <rleigh@debian.org>
Subject: Re: Bug#695751: gdm: gdm3 update fails due to conflict with laptop-mode-tools
Date: Thu, 13 Dec 2012 22:38:49 +0100
[Message part 1 (text/plain, inline)]
On 13.12.2012 21:19, Petter Reinholdtsen wrote:

> Because of this, I recommend to avoid $all if at all possible.  It do
> not work the way most people (myself included) expect, and can lead to
> incorrect boot ordering if a script depend on a script which in turn
> depend on $all.

Seems we do have quite a few packages using $all (see attached file).

Seing that $all can lead to such unwanted behaviour, maybe it would be
worth investigating if all those sysv init scripts actually need $all
(and file bugs accordingly).

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
[lsb-all.txt (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#695751; Package insserv. (Thu, 13 Dec 2012 22:12:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Thu, 13 Dec 2012 22:12:14 GMT) Full text and rfc822 format available.

Message #69 received at 695751@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Michael Biebl <biebl@debian.org>, 695751@bugs.debian.org
Cc: Adrin <adrin.jalali@gmail.com>, Roger Leigh <rleigh@debian.org>
Subject: Re: Bug#695751: gdm: gdm3 update fails due to conflict with laptop-mode-tools
Date: Thu, 13 Dec 2012 22:57:03 +0100
[Michael Biebl]
> Seems we do have quite a few packages using $all (see attached file).

Yes.  But it only become a problem if there are any scripts that
depend on any of the scripts that depend on $all. :)

> Seing that $all can lead to such unwanted behaviour, maybe it would
> be worth investigating if all those sysv init scripts actually need
> $all (and file bugs accordingly).

Yeah. :)

-- 
Happy hacking
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#695751; Package insserv. (Fri, 14 Dec 2012 23:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Fri, 14 Dec 2012 23:27:05 GMT) Full text and rfc822 format available.

Message #74 received at 695751@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Adrin <adrin.jalali@gmail.com>
Cc: Michael Biebl <biebl@debian.org>, insserv <insserv@packages.debian.org>, 695751 <695751@bugs.debian.org>, Roger Leigh <rleigh@debian.org>
Subject: Re: Bug#695751: gdm: gdm3 update fails due to conflict with laptop-mode-tools
Date: Fri, 14 Dec 2012 23:23:00 +0000
On Thu, Dec 13, 2012 at 09:15:12AM +0100, Adrin wrote:
> This is the find output:
> # find /etc -name '*vpnagentd_init*'
> /etc/rc5.d/K25vpnagentd_init
> /etc/rc5.d/S85vpnagentd_init
> /etc/init.d/vpnagentd_init
> /etc/rc4.d/K25vpnagentd_init
> /etc/rc4.d/S85vpnagentd_init
> /etc/rc2.d/K25vpnagentd_init
> /etc/rc2.d/S85vpnagentd_init
> /etc/rc3.d/K25vpnagentd_init
> /etc/rc3.d/S85vpnagentd_init

OK, I've solved the problem.  If you adjust your symlinks like this:

(sid)root@hufflepuff:/# find /etc -name '*vpnagentd_init' | sort | xargs ls -l
-rwxr-xr-x 1 root root 1153 Dec  4 08:46 /etc/init.d/vpnagentd_init
lrwxrwxrwx 1 root root   24 Dec 14 22:52 /etc/rc0.d/K01vpnagentd_init -> ../init.d/vpnagentd_init
lrwxrwxrwx 1 root root   24 Dec 14 22:52 /etc/rc1.d/K01vpnagentd_init -> ../init.d/vpnagentd_init
lrwxrwxrwx 1 root root   26 Dec  4 08:46 /etc/rc2.d/S21vpnagentd_init -> /etc/init.d/vpnagentd_init
lrwxrwxrwx 1 root root   26 Dec  4 08:46 /etc/rc3.d/S21vpnagentd_init -> /etc/init.d/vpnagentd_init
lrwxrwxrwx 1 root root   26 Dec  4 08:46 /etc/rc4.d/S21vpnagentd_init -> /etc/init.d/vpnagentd_init
lrwxrwxrwx 1 root root   26 Dec  4 08:46 /etc/rc5.d/S21vpnagentd_init -> /etc/init.d/vpnagentd_init
lrwxrwxrwx 1 root root   24 Dec 14 22:52 /etc/rc6.d/K01vpnagentd_init -> ../init.d/vpnagentd_init

And then run insserv:

(sid)root@hufflepuff:/# insserv
insserv: warning: script 'K01vpnagentd_init' missing LSB tags and overrides
insserv: warning: script 'vpnagentd_init' missing LSB tags and overrides

It will then adjust the links and all will be well.  Not entirely sure
why this shows two warnings though.

I think the cryptic errors you were getting were a result of "S85" being
higher than the biggest runlevel "S21" in used by insserv.  This then
makes it get placed after $all and hence the dependency loop.  That's
my theory anyway--I haven't looked at the code yet.  The stop number
is adjusted to be first, and has also been removed from runlevels
2-5 and added to runlevels 0, 1 and 6.

However, it does look like there's room for improvement here.  If
we haven't got an LSB header, why does the number get used at all?
Isn't its presence in this runlevel sufficient?  If so, we could
just ignore the number and have insserv assign it one appropriately.
Likewise for stop links.

I hope this makes some degree of sense.  I'm still not entirely
sure about how the internals work here.  I didn't notice issues
like this testing upgrades, possibly due to there always being
a script at S99.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800



Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#695751; Package insserv. (Sat, 05 Jan 2013 04:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Sat, 05 Jan 2013 04:30:03 GMT) Full text and rfc822 format available.

Message #79 received at 695751@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 695751@bugs.debian.org
Subject: Re: Bug#695751: gdm: gdm3 update fails due to conflict with laptop-mode-tools
Date: Fri, 04 Jan 2013 20:27:41 -0800
Control: -1 found insserv/1.14.0-2
Control: -1 retitle depending on a script that depends on $all (including by not having LSB headers) creates loop

We've encountered this problem many times with locally-written init
scripts without LSB headers, since they get an implicit dependency on
$all, which will create a loop if there is any other header with an
implicit dependency on $all.  But the best solution is to just add LSB
headers.

This problem already existed in exactly this form in squeeze.  Setting the
found version accordingly.

I think the severity for this bug is wrong, although I was hesitant to
change it when the maintainers are involved in the discussion.  But I
think it's important at worst.  This behavior is unchanged since stable
and really represents a bug in the local init script, which doesn't have
the headers to be properly fit into the dependency tree.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Marked as found in versions insserv/1.14.0-2. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 05 Jan 2013 04:54:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'depending on a script that depends on $all (including by not having LSB headers) creates loop' from 'gdm: gdm3 update fails due to conflict with laptop-mode-tools' Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 05 Jan 2013 04:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#695751; Package insserv. (Sat, 26 Jan 2013 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Sat, 26 Jan 2013 17:57:03 GMT) Full text and rfc822 format available.

Message #88 received at 695751@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Russ Allbery <rra@debian.org>
Cc: 695751@bugs.debian.org
Subject: Re: depending on a script that depends on $all (including by not having LSB headers) creates loop
Date: Sat, 26 Jan 2013 17:55:57 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 important

Russ allbery wrote:
> We've encountered this problem many times with locally-written init
> scripts without LSB headers, since they get an implicit dependency on
> $all, which will create a loop if there is any other header with an
> implicit dependency on $all.  But the best solution is to just add LSB
> headers.
[...]

Right.  This probably merits a mass bug filing on packages with such
scripts *after* wheezy.  I can't believe it's serious enough to need
fixing right now.

Ben.

-- 
Ben Hutchings
Any smoothly functioning technology is indistinguishable from a rigged demo.
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'grave' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 26 Jan 2013 18:09:05 GMT) Full text and rfc822 format available.

Merged 695751 737405 Request was from Gabriele Giacone <1o5g4r8o@gmail.com> to 737405-submit@bugs.debian.org. (Sun, 02 Feb 2014 20:40:00 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#695751; Package insserv. (Tue, 04 Feb 2014 08:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Vesely <vesely@tana.it>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Tue, 04 Feb 2014 08:15:04 GMT) Full text and rfc822 format available.

Message #97 received at 695751@bugs.debian.org (full text, mbox):

From: Alessandro Vesely <vesely@tana.it>
To: 695751@bugs.debian.org
Subject: Re: depending on a script that depends on $all (including by not having LSB headers) creates loop
Date: Tue, 04 Feb 2014 09:08:15 +0100
On 26/01/13 18:55, Ben Hutchings wrote:
> Russ allbery wrote:
>> We've encountered this problem many times with locally-written init
>> scripts without LSB headers, since they get an implicit dependency on
>> $all, which will create a loop if there is any other header with an
>> implicit dependency on $all.  But the best solution is to just add LSB
>> headers.
>> [...]
> 
> Right.  This probably merits a mass bug filing on packages with such
> scripts *after* wheezy.  I can't believe it's serious enough to need
> fixing right now.

I agree that adding the correct LSB headers is the right course of
action.  However, having insserv performing a stable sort could avoid
to exacerbate this kind of problems, and still allow classical start
order tampering for those who can't resist it.  (I'm surviving with
the fix-init script attached to bug #711853)

Ale



Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#695751; Package insserv. (Tue, 04 Feb 2014 09:03:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Tue, 04 Feb 2014 09:03:15 GMT) Full text and rfc822 format available.

Message #102 received at 695751@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Alessandro Vesely <vesely@tana.it>, 695751@bugs.debian.org
Subject: Re: Bug#695751: depending on a script that depends on $all (including by not having LSB headers) creates loop
Date: Tue, 4 Feb 2014 10:02:01 +0100
[Alessandro Vesely]
>> Right.  This probably merits a mass bug filing on packages with
>> such scripts *after* wheezy.  I can't believe it's serious enough
>> to need fixing right now.

Now many are left?  Can not be many.

> I agree that adding the correct LSB headers is the right course of
> action.  However, having insserv performing a stable sort could
> avoid to exacerbate this kind of problems, and still allow classical
> start order tampering for those who can't resist it.  (I'm surviving
> with the fix-init script attached to bug #711853)

The intent and original implementation of insserv in Debian assumed
dependency on only $remote_fs and $syslog for scripts without LSB
header.  When did they start to imply dependency on $all?  Perhaps it
should be changed back?

-- 
Happy hacking
Petter Reinholdtsen



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:06:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.